const AccessControl = require('accesscontrol');

const grants = {
  admin: {
    mapmarker: {
      'create:any': [],
      'delete:any': [],
      'read:any': [],
      'update:any': [],
    },
    powerup: {
      'create:any': [],
      'delete:any': [],
      'read:any': [],
      'update:any': [],
    },
    faction: {
      'create:any': [],
      'delete:any': [],
      'read:any': [],
      'update:any': [],
    },
    players: {
      'create:any': [],
      'delete:any': [],
      'read:any': [],
      'update:any': [],
    },
  },
  faction_leader: {
    mapmarker: {
      'create:own': [],
      'delete:own': [],
      'read:own': [],
    },
    powerup: {
      'read:own': [],
    },
    faction: {
      'read:own': [],
      'update:own': [],
    },
    players: {
      'read:own': [],
      'update:own': [],
    },
  },
  //player & spectator
};

const ac = new AccessControl(grants);